ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface ForpostService

-     public interface ForpostService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forpostAccountObjectDelete(int accountId)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject>` | `forpostAccountObjectSearch(int accountId)`
    `void` | `forpostAccountUsersDelete(int accountId)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser>` | `forpostAccountUserSearch(int accountId)`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraBrand>` | `forpostCameraBrandList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraBrand>` | `forpostCameraBrandSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostCameraBrandSync()`
    `java.util.List<ru.bitel.bgbilling.common.model.KeyValue>` | `forpostCameraList()`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel` | `forpostCameraModelGet(int id)`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel>` | `forpostCameraModelList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel>` | `forpostCameraModelSearch(int brandId, java.lang.String[] sort, Page page)`
    `void` | `forpostCameraModelSync()`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraType` | `forpostCameraTypeGet(int id)`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraType>` | `forpostCameraTypelList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraType>` | `forpostCameraTypeSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostCameraTypeSync()`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostMaster>` | `forpostMasterList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostMaster>` | `forpostMasterSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostMasterSync()`
    `int` | `forpostObjectAdd(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject` | `forpostObjectDefaultGet()`
    `void` | `forpostObjectDelete(int id)`
    `void` | `forpostObjectParamUpdate(int forpostObjectId, java.lang.String name, java.lang.String value)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject>>` | `forpostObjectSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostObjectsSync(int accountId)`
    `void` | `forpostObjectSync()`
    `void` | `forpostObjectUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol>` | `forpostProtocolList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol>` | `forpostProtocolSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostProtocolSync()`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostPtzType>` | `forpostPtzTypeList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostPtzType>` | `forpostPtzTypeSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostPtzTypeSync()`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRecordType>` | `forpostRecordTypeList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRecordType>` | `forpostRecordTypeSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostRecordTypeSync()`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRtspTransport>` | `forpostRtspTransportList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRtspTransport>` | `forpostRtspTransportSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostRtspTransportSync()`
    `int` | `forpostUserAdd(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser forpostUser)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser` | `forpostUserDefaultGet()`
    `void` | `forpostUserDelete(int id)`
    `void` | `forpostUserParamUpdate(int forpostUserId, java.lang.String name, java.lang.String value)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser>>` | `forpostUsersSearch(java.lang.String[] sort, Page page)`
    `void` | `forpostUsersSync(int accountId)`
    `void` | `forpostUserSync()`
    `void` | `forpostUserUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser forpostUser)`

- - ### Method Detail

    - #### forpostCameraTypeSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraType> forpostCameraTypeSearch(java.lang.String[] sort,
                                                                                                                            Page page)
                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraTypeSync

          void forpostCameraTypeSync()
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraTypelList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraType> forpostCameraTypelList()
                                                                                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraTypeGet

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraType forpostCameraTypeGet(int id)
                                                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostUsersSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser>> forpostUsersSearch(java.lang.String[] sort,
                                                                                                                                                                                         Page page)
                                                                                                                                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostAccountUserSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser> forpostAccountUserSearch(int accountId)
                                                                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostUserSync

          void forpostUserSync()
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostUsersSync

          void forpostUsersSync(int accountId)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostUserDefaultGet

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser forpostUserDefaultGet()
                                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostUserAdd

          int forpostUserAdd(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser forpostUser)
                      throws ru.bitel.bgbilling.common.BGException,
                             ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostUserUpdate

          void forpostUserUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostUser forpostUser)
                          throws ru.bitel.bgbilling.common.BGException,
                                 ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostUserParamUpdate

          void forpostUserParamUpdate(int forpostUserId,
                                      java.lang.String name,
                                      java.lang.String value)
                               throws ru.bitel.bgbilling.common.BGException,
                                      ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostUserDelete

          void forpostUserDelete(int id)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostAccountUsersDelete

          void forpostAccountUsersDelete(int accountId)
                                  throws ru.bitel.bgbilling.common.BGException,
                                         ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostMasterSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostMaster> forpostMasterSearch(java.lang.String[] sort,
                                                                                                                    Page page)
                                                                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostMasterSync

          void forpostMasterSync()
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostMasterList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostMaster> forpostMasterList()
                                                                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostProtocolSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol> forpostProtocolSearch(java.lang.String[] sort,
                                                                                                                        Page page)
                                                                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostProtocolSync

          void forpostProtocolSync()
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostProtocolList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol> forpostProtocolList()
                                                                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostPtzTypeSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostPtzType> forpostPtzTypeSearch(java.lang.String[] sort,
                                                                                                                      Page page)
                                                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostPtzTypeSync

          void forpostPtzTypeSync()
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostPtzTypeList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostPtzType> forpostPtzTypeList()
                                                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostRecordTypeSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRecordType> forpostRecordTypeSearch(java.lang.String[] sort,
                                                                                                                            Page page)
                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostRecordTypeSync

          void forpostRecordTypeSync()
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostRecordTypeList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRecordType> forpostRecordTypeList()
                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostRtspTransportSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRtspTransport> forpostRtspTransportSearch(java.lang.String[] sort,
                                                                                                                                  Page page)
                                                                                                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostRtspTransportSync

          void forpostRtspTransportSync()
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostRtspTransportList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostRtspTransport> forpostRtspTransportList()
                                                                                                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraBrandSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraBrand> forpostCameraBrandSearch(java.lang.String[] sort,
                                                                                                                              Page page)
                                                                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraBrandSync

          void forpostCameraBrandSync()
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraBrandList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraBrand> forpostCameraBrandList()
                                                                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraModelSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel> forpostCameraModelSearch(int brandId,
                                                                                                                              java.lang.String[] sort,
                                                                                                                              Page page)
                                                                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraModelSync

          void forpostCameraModelSync()
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraModelList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel> forpostCameraModelList()
                                                                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraModelGet

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel forpostCameraModelGet(int id)
                                                                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostCameraList

          java.util.List<ru.bitel.bgbilling.common.model.KeyValue> forpostCameraList()
                                                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostObjectSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject>> forpostObjectSearch(java.lang.String[] sort,
                                                                                                                                                                                            Page page)
                                                                                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostAccountObjectSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject> forpostAccountObjectSearch(int accountId)
                                                                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostObjectDefaultGet

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObjectDefaultGet()
                                                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostObjectAdd

          int forpostObjectAdd(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)
                        throws ru.bitel.bgbilling.common.BGException,
                               ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostObjectUpdate

          void forpostObjectUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostObjectParamUpdate

          void forpostObjectParamUpdate(int forpostObjectId,
                                        java.lang.String name,
                                        java.lang.String value)
                                 throws ru.bitel.bgbilling.common.BGException,
                                        ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostObjectDelete

          void forpostObjectDelete(int id)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostAccountObjectDelete

          void forpostAccountObjectDelete(int accountId)
                                   throws ru.bitel.bgbilling.common.BGException,
                                          ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### forpostObjectSync

          void forpostObjectSync()
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### forpostObjectsSync

          void forpostObjectsSync(int accountId)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`